

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Installation &mdash; SmartRecruiting back v2 documentation</title>
  

  
  
  
  

  
  <script type="text/javascript" src="_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script type="text/javascript" src="_static/jquery.js"></script>
        <script type="text/javascript" src="_static/underscore.js"></script>
        <script type="text/javascript" src="_static/doctools.js"></script>
        <script type="text/javascript" src="_static/language_data.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Contributing" href="contributing.html" />
    <link rel="prev" title="SmartRecruiting back" href="index.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="index.html" class="icon icon-home"> SmartRecruiting back
          

          
          </a>

          
            
            
              <div class="version">
                v2
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">Installation</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#id1">Installation</a></li>
<li class="toctree-l2"><a class="reference internal" href="#required-files">Required files</a></li>
<li class="toctree-l2"><a class="reference internal" href="#launch">Launch</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="contributing.html">Contributing</a></li>
<li class="toctree-l1"><a class="reference internal" href="documentation.html">Backend documentation</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">SmartRecruiting back</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="index.html">Docs</a> &raquo;</li>
        
      <li>Installation</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="_sources/install.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="installation">
<h1>Installation<a class="headerlink" href="#installation" title="Permalink to this headline">¶</a></h1>
<div class="section" id="id1">
<h2>Installation<a class="headerlink" href="#id1" title="Permalink to this headline">¶</a></h2>
<p>Install mysql-server first and launch it:</p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>sudo apt-get update
sudo apt-get install mysql-server
sudo mysql
</pre></div>
</div>
<p>Then you have to make sure the nickname and password used are the same as the ones in <em>SmartRecruiting_BackEnd/data/database.py</em>:</p>
<div class="highlight-mysql notranslate"><div class="highlight"><pre><span></span><span class="k">UPDATE</span> <span class="n">mysql</span><span class="p">.</span><span class="n">user</span> <span class="kt">SET</span> <span class="n">plugin</span> <span class="o">=</span> <span class="s1">&#39;mysql_native_password&#39;</span> <span class="k">WHERE</span> <span class="n">user</span> <span class="o">=</span> <span class="s1">&#39;root&#39;</span><span class="p">;</span>
<span class="k">FLUSH</span> <span class="n">privileges</span><span class="p">;</span>
<span class="k">exit</span>
</pre></div>
</div>
<p>There’s no need to create tables, it will be done when you launch the application.</p>
<p>Then install Python3, Pip3 and Tkinter following these command lines:</p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>sudo apt-get install python3
sudo apt-get install pip3
sudo apt-get install python3-tk
</pre></div>
</div>
<p>Next, install the required packages in the requirements.txt file:</p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>pip3 install --no-cache-dir -I -r requirements.txt
</pre></div>
</div>
<p>You can verify your libraries by using the command <em>pip3 freeze</em>; a package may have the wrong version installed (especially Tensorflow, look for the version you need in the <em>requirements.txt</em> file) you can reinstall it like this:</p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>pip3 uninstall tensorflow
pip3 install <span class="nv">tensorflow</span><span class="o">==</span><span class="m">1</span>.5
</pre></div>
</div>
<p>Tensorflow is an example there, you can just replace it by any package and their version number.</p>
<p>Finally, launch Python3 and download Punkt. It downloads a model for the tokenizer used in the project.</p>
<div class="highlight-python3 notranslate"><div class="highlight"><pre><span></span><span class="kn">import</span> <span class="nn">nltk</span>
<span class="n">nltk</span><span class="o">.</span><span class="n">download</span><span class="p">()</span>
</pre></div>
</div>
<p>Go to <em>All Packages</em> and download <em>punkt</em>.</p>
</div>
<div class="section" id="required-files">
<h2>Required files<a class="headerlink" href="#required-files" title="Permalink to this headline">¶</a></h2>
<ul class="simple">
<li>In order to launch the project, you have to add those 3 files in the <em>data</em> directory:<ul>
<li>offers.csv</li>
<li>fields.csv</li>
<li>contacts.csv</li>
</ul>
</li>
<li>The files have to be in UTF-8 and the fields must be split with comas;</li>
<li>The fields in the files are:<ul>
<li>offers.csv : <em>Formation</em>, <em>Offre initiale</em></li>
<li>fields.csv : <em>name</em>, <em>description</em>, <em>website</em></li>
<li>contacts.csv : <em>name</em>, <em>surname</em>, <em>role</em>, <em>email</em>, <em>phone</em>, <em>field</em></li>
</ul>
</li>
<li>The first lines in the files have to be the fields name.</li>
</ul>
</div>
<div class="section" id="launch">
<h2>Launch<a class="headerlink" href="#launch" title="Permalink to this headline">¶</a></h2>
<ul class="simple">
<li>Launch the server:</li>
</ul>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>python3 runserver.py
</pre></div>
</div>
<ul class="simple">
<li>You can add one of those 2 parameters:<ul>
<li>-i, –init : initializes the model and the database</li>
<li>-r, –reinit : initializes the model from the database</li>
</ul>
</li>
<li>You can, if you want, change the server port in <em>runserver.py</em>.</li>
</ul>
</div>
</div>


           </div>
           
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="contributing.html" class="btn btn-neutral float-right" title="Contributing" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="index.html" class="btn btn-neutral float-left" title="SmartRecruiting back" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2019, Projet 21

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>